Results 1 to 4 of 4

Thread: Leap repos compatibility with Tumbleweed system

  1. #1

    Default Leap repos compatibility with Tumbleweed system

    Sometimes I can't find a repo for openSUSE Tumbleweed. A particular example that spring to mind is the XFCE repo (I'm running XFCE). So is it safe and okay to install an openSUSE Leap 42.1 repo on my Tumbleweed system?

  2. #2

    Default Re: Leap repos compatibility with Tumbleweed system

    Quote Originally Posted by svm49 View Post
    So is it safe and okay to install an openSUSE Leap 42.1 repo on my Tumbleweed system?
    No.

    It might work depending on the repo, but in general you have to expect problems.

    XFCE is included in the distribution though btw and Tumbleweed always gets the latest versions from the XFCE repo anyway, so why do you need that extra repo at all?

    PS: The XFCE repo does exist for openSUSE_Factory, use this instead of the one for Leap 42.1. Tumbleweed is just a different name for Factory...
    Last edited by wolfi323; 16-Mar-2016 at 03:22.

  3. #3

    Default Re: Leap repos compatibility with Tumbleweed system

    Tumbleweed always gets the latest versions from the XFCE repo anyway
    Which XCFE repo do you mean? My Tumbleweed system does not have an XFCE repo which is why I started looking for it in the first place.

    why do you need that extra repo at all?
    I was looking for XFCE themes for my system.

    PS: The XFCE repo does exist for openSUSE_Factory, use this instead of the one for Leap 42.1. Tumbleweed is just a different name for Factory...
    Oh, nice! Thanks, I'll add the Factory repo to my system

  4. #4

    Default Re: Leap repos compatibility with Tumbleweed system

    Quote Originally Posted by svm49 View Post
    Which XCFE repo do you mean? My Tumbleweed system does not have an XFCE repo which is why I started looking for it in the first place.
    Of course your Tumbleweed system does not have an XFCE repo. You have to add that yourself if you want to, that's what you were asking about...

    But Tumbleweed does include XFCE in the standard repos, the packages that come from the XFCE repo.
    So you normally should not have to add the XFCE repo at all.

    I was looking for XFCE themes for my system.
    Hm, I don't know what you mean exactly with "XFCE themes".
    The 2 gtk themes that are in the XFCE repo are in Tumbleweed, and the other packages with theme in the name are there as well.

    Oh, nice! Thanks, I'll add the Factory repo to my system
    And actually this is true in general.

    You should use the repo for openSUSE_Factory in case there is none for openSUSE_Tumbleweed.

    As mentioned, Tumbleweed is just a new/different name for the distribution formerly known as Factory.
    Some repo maintainers renamed their repo to make it clear it is intended to be used with Tumbleweed, others did not. But in the end there's no difference.
    Also the software search (http://software.opensuse.org/) lists packages from openSUSE_Factory repos under "Tumbleweed".
    Last edited by wolfi323; 16-Mar-2016 at 14:20.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •